Перейти к содержимому

Список облачных сред выполнения

Request

Возвращает профили браузера, доступные аутентифицированному участнику, и состояние их облачных сред выполнения.

Для envId также поддерживается псевдоним поля id. Значение groupId, равное 0, означает отсутствие группы.

Bodyapplication/jsonrequired
uniqueIdsArray of integers, (int32), <= 100 items

Environment sequence numbers. Up to 100 items.

Example:
[ 1001, 1002 ]
envIdstring(EnvironmentId)^[1-9]\d*$

Environment ID. The request also accepts the field alias id.

Example:"1800000000000001"
envNamestring

Environment name.

Example:"marketing-01"
keywordstring

Keyword filter. Matches environment name, group name, tag name, and remark.

Example:"marketing"
groupIdstring^\d+$

Group ID. 0 means ungrouped.

Example:"0"
pageNointeger, (int64), >= 1required

Current page number, starting from 1. Default is 1.

Default:1
Example:1
pageSizeinteger, (int64), [ 1 .. 100 ]required

Number of items per page. Default is 10, maximum 100.

Default:10
Example:10
POST
/api/cloudbrowser/page
curl -i -X POST \
  http://127.0.0.1:40000/api/cloudbrowser/page \
  -H 'Content-Type: application/json' \
  -d '{
    "pageNo": 1,
    "pageSize": 10,
    "keyword": "marketing"
  }'

Responses

Success

Bodyapplication/json
codeintegerrequired

Return result code. 0 means success; other codes indicate exceptions.

Example:0
msgstring or nullrequired

Error message. Usually null on success.

Example:null
requestIdstring

Operation request ID. This field may be present when the request passes through the API gateway.

Example:"1d4f3ea968664593860b94b35d4ebf5e"
dataobject(CloudBrowserPageData)required
Response
{ "code": 0, "msg": null, "requestId": "1d4f3ea968664593860b94b35d4ebf5e", "data": { "total": "42", "current": "1", "pages": "5", "dataList": [] } }